"use client";

import "./ProductGallery.css";
import "react-image-gallery/styles/scss/image-gallery.scss";
import "react-image-gallery/styles/css/image-gallery.css";
import ImageGallery from "react-image-gallery";

const images = [
  {
    original: "/images/view-product1.webp",
    thumbnail: "/images/view-product1.webp",
  },
  {
    original: "/images/view-product2.webp",
    thumbnail: "/images/view-product2.webp",
  },
  {
    original: "/images/view-product3.webp",
    thumbnail: "/images/view-product3.webp",
  },
  {
    original: "/images/view-product4.webp",
    thumbnail: "/images/view-product4.webp",
  },
  {
    original: "/images/view-product5.webp",
    thumbnail: "/images/view-product5.webp",
  },
  {
    original: "/images/view-product6.webp",
    thumbnail: "/images/view-product6.webp",
  },
  {
    original: "/images/view-product7.webp",
    thumbnail: "/images/view-product7.webp",
  },
  {
    original: "/images/view-product8.webp",
    thumbnail: "/images/view-product8.webp",
  },
];

const ProductGallery = () => {
  return (
    <div className="product-gallery-container flex-vr">
      <ImageGallery
        items={images}
        showBullets={false}
        showIndex={false}
        showThumbnails={true}
        lazyLoad={false}
        showPlayButton={false}
        showNav={true}
        showFullscreenButton={true}
        thumbnailPosition={
          typeof window !== "undefined" && window.innerWidth > 450
            ? "left"
            : "bottom"
        }
        fullscreen={true}
        disableSwipe={false}
      />
    </div>
  );
};

export default ProductGallery;
